function h = plot(S,varargin)

% plot instance of STREAMobj
%
% Syntax
%
%     plot(S)
%     plot(S,...)
%     h = ...;
%
% Description
%
%     plot overloads the builtin plot command and graphically outputs the
%     stream network in S. Additional plot options can be set in the same
%     way as with the builtin plot command.
%
%
% Author: Wolfgang Schwanghart (w.schwanghart[at]geo.uni-potsdam.de)
% Date: 30. January, 2013
        

[x,y] = STREAMobj2XY(S);
ht = plot(x,y,varargin{:});

if nargout == 1
    h = ht;
end
